Subject: Re:

From: Sharlatan Hellseher <[email-masked]>
Date: Tue, 4 Jan 2022 21:39:21 +0000

Hi!

Thank you for fead back @Vinicius Monego !

I've added aditional changes to all mentioned patches but I've not
created patch list from scratch. Let me know if would be easy to merge
patches first.

Sharlatan Hellseher (5):
  gnu: asdf-transform-schemas: Enable tests
  gnu: asdf-coordinates-schemas: Enable tests
  gnu: asdf-astropy: Enable tests
  gnu: asdf-wcs-schemas: Enable tests
  gnu: gwcs: Refactor package

 gnu/packages/astronomy.scm | 101 +++++++++++++++++++++----------------
 1 file changed, 57 insertions(+), 44 deletions(-)

base-commit: 4c812db049d5c9f2c438748e180f9486ad221b0a
prerequisite-patch-id: 56820d9ea09a7a53f0c576466db455e706707db2
prerequisite-patch-id: ad03d8286b6789e5c16216f66766ffa403ba2e87
prerequisite-patch-id: 7ada40e42ec009357b74914aa3ed3e31bc0924aa
prerequisite-patch-id: 18f6a0a2503f7359d051f10cfe01e421a3c20511
prerequisite-patch-id: dabf500576aec3742492c67f9a80fabf56872502
prerequisite-patch-id: ee0536ce1c726c3c7cea82067b7bc983d785139c

On Tue, 4 Jan 2022 at 02:41, Vinicius Monego <[email-masked]> wrote:
>
> Hi Sharlatan,
>
> I am commenting on the second patch and will comment on the others in
> this same message.
>
> > +    (arguments
> > +     (list
> > +      ;; FIXME: (Sharlatan-20211229T160902+0000): tests run via tox
> > +      #:tests? #f))
>
> The procedure is more or less the same for all Astropy related
> packages. They use tox as an abstraction for pytest. You can run tests
> by overriding the check phase:
>
> >     (arguments
> >      `(#:phases
> >        (modify-phases %standard-phases
> >          (replace 'check
> >            (lambda* (#:key inputs outputs tests? #:allow-other-keys)
> >              (when tests?
> >                (add-installed-pythonpath inputs outputs)
> >                (invoke "python" "-m" "pytest")))))))
>
> I also had to add a few more native inputs:
>
> >     (native-inputs
> >      (list python-jsonschema
> >            python-numpy
> >            python-pytest
> >            python-pyyaml
> >            python-semantic-version
> >            python-setuptools-scm))
>
> It should work all the same for the remaining packages in the series.
>
> There's no need to add a comment about the copyright holder:
>
> > +    ;; Copyright (C) 2021 Association of Universities for Research
> > in Astronomy (AURA)
> > +    ;;
> > https://github.com/asdf-format/asdf-transform-schemas/blob/master/LICENSE
>
> Some of the other patches like 3 and 4 do not follow description
> standards like missing full sentences and full stop. You can run `guix
> lint` in the packages to catch some linting errors.
>
> In patch 6, gexp is being used without ungexp. In that case it
> shouldn't be used. `(arguments (list ...))` should be `(arguments `())`
> when gexp isn't being used, same for the other patches too. gwcs
> license is bsd-3 according to copyright headers and the LICENSE file in
> the license/ directory. Inputs in patches 5 and 6 may also have to be
> propagated if they are libraries.
>

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.